C     RDPG MODEL
C     MAIN.FOR 
C     CONTROL THE PROGRAM


C     DECLARES VARAIBLES

C     STATION_ID: STATION IDENTIFICATION NUMBER
      INTEGER STATION_ID
C     TOTAL_RAINS: TOATL NUMBER OF RAIN DAYS
      INTEGER TOTAL_RAINS
C     MDAYS: MAXIMUM NUMBER OF RAIN DAYS
      INTEGER MDAYS              
C     INDEX: A COUNTER USED IN THIS PROGRAM     
      INTEGER INDEX
C     RAINDATE: DATE OF THE RAIN EVENT      
      CHARACTER*10, RAINDATE(1:3000)                        
C     RAIN_REALDATA: REAL (OR ACTUAL) RAINFALL DATA
      REAL RAIN_REALDATA(1:100)

C     COMMONLY USED VARIABLES IN FILES
      COMMON /COM_1/   RAIN_REALDATA
      COMMON /COM_11/  INDEX
      
C     INITIALIZE VARAIBLES      
      MDAYS = 3650      
      TOTAL_RAINS = 0      
      
C     CALL FILEIO.FOR TO CHECK INPUT AND OUTPUT FILES      
      CALL FILEIO

C     READ AND WRITE STATION IDENTIFICATION NUMBER 
      READ (11, 5010) STATION_ID
      WRITE (12, 6010) 'STN ID', STATION_ID
      REWIND(11)
                
C     CALCULATE TOTAL NUMBER OF RAIN DAYS
      DO 200 J=1, MDAYS
       IF (.NOT. EOF(11)) THEN
       READ(11,5100) RAINDATE(J)
       ELSE
        GOTO 250
       END IF
200   CONTINUE      
250   TOTAL_RAINS = J - 1
      REWIND (11)
5010  FORMAT(4X, I4)
5100  FORMAT(17X, A10)
                
C     OUTPUT FILE TITLE AND TOTAL NUMBER OF RAIN DAYS
      WRITE (12, 6020) 'T_RAINS', TOTAL_RAINS
      WRITE (*, *) 'TOTAL NUMBER OF RAINS ARE  ', TOTAL_RAINS      
      WRITE (12, 6030) 'RAIN_NUM', 'RAIN_CTR', 'RAIN_DSP', 
     +                 'RAIN_DRT', 'PK_RATE'

C     GENERATE PARAMTERS 
      DO 300, I = 1, TOTAL_RAINS
       INDEX = I
       WRITE (*,*) STATION_ID, INDEX
       READ(11,5020) (RAIN_REALDATA(K), K=1,96)
       DO K = 1, 96
        RAIN_REALDATA(K) = 100.0 * RAIN_REALDATA(K)
       END DO
C     CALL SUBROUTINE PARA.FOR TO GENERATE PARAMTERS
       CALL PARA
500    CONTINUE       
300   CONTINUE

5020  FORMAT (27X, 96(1X,F5.2), 8X) 
6010  FORMAT (A9, I9)
6020  FORMAT (A9, I9)
6030  FORMAT(A9, A9, A9, A9, A9)      
      
99999 END
      